#include <MainWindow.h>
#include <hwLabel.h>
#include <hwTableLayout.h>
#include <hwButton.h>
#include <time.h>

/*
 * Create button to handle onClick method.
 *
 */
class testButton : public hwButton
{
public:

    testButton(hwLabel* label) : hwButton("Update"), myLabel(label) {}
    
    void onClick() {
        time_t rawtime;
        struct tm* timeinfo;
        time(&rawtime);
        timeinfo = localtime(&rawtime);
        myLabel->setTitle(asctime(timeinfo));
    }
    
private:

    hwLabel* myLabel;
};

MainWindow::MainWindow()
{
    setTitle("Test App");
    
    hwTableLayout* tablelayout1 = new hwTableLayout();
    add(tablelayout1);
    
    hwLabel* label1 = new hwLabel("The current time is:");
    tablelayout1->add(label1, 0, 0);
    
    hwLabel* label2 = new hwLabel("");
    label2->setName("timeLabel");
    tablelayout1->add(label2, 0, 1);

    testButton* button1 = new testButton(label2);
    tablelayout1->add(button1, 0, 2);
}
